%define _x11dir		/usr/X11R6
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%{_x11libdir}/Server

Name:		linuxwacom
Version:	0.7.0
Epoch:		0
Release:	EL4.1
Summary:	Wacom Drivers from Linux Wacom Project

Group:		User Interface/X Hardware Support
License:	GPL/X11
URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.0.tar.bz2
Source1:	10-wacom.rules

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	xorg-x11-devel, xorg-x11-sdk, ncurses-devel
Requires:	xorg-x11, udev >= 030-21
ExclusiveArch:  %{ix86} x86_64 alpha ia64 ppc sparc sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

%package devel
Summary: linuxwacom developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling applications for manipulating settings for Wacom tablets.

%prep
%setup -q 

%build
libtoolize --copy --force
aclocal
autoconf

%ifarch x86_64 ia64
%define archoption --enable-xserver64
%endif

export RPM_LIBDIR=%{_lib}
%configure --without-gtk --without-tcl --without-tk		\
	--disable-wacomxi --disable-libwacomxi			\
	--with-xorg-sdk=%{_x11sdkdir} --with-xlib=%{_x11libdir} \
	%{archoption}

export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall x86moduledir=$RPM_BUILD_ROOT%{_x11libdir}/modules/input
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-wacom.rules
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%attr(0444,root,root) %{_x11libdir}/modules/input/wacom_drv.o
%{_bindir}/wacdump
%{_bindir}/xidump
%{_bindir}/xsetwacom
%{_libdir}/libwacomcfg*so.*
%{_sysconfdir}/udev/rules.d/10-wacom.rules

%files devel
%defattr(-,root,root,-)
%{_includedir}/wacomcfg/wacomcfg.h
%{_libdir}/libwacomcfg*.a
%{_libdir}/libwacomcfg*.so

%changelog
* Wed Nov 30 2005 Kristian Høgsberg <krh@redhat.com> 0:0.7.0-EL4.1
- Update to 0.7.0, drop patches to unbreak build system.

* Fri Jun 24 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-EL4.2
- Update 10-wacom.rules to match against idVendor instead of
  manufacturer string and also check bus type.

* Thu Jun 23 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-EL4.1
- Change release to EL4.1

* Thu Jun 23 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-1
- Update to 0.6.6 and sync up with changes from RHEL-3 to fix more
  64-bit issues.

* Wed Sep 29 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-6
- Run /sbin/ldconfig in %post and %postun (#134070).

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-5
- Pass --without-gtk and others to get rid of bogus link dependencies.

* Tue Sep 21 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-2
- Add BuildRequires for ncurses-devel, needed by wacdump and xidump tools.

* Mon Sep 13 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add udev rule to create /dev/input/wacom

* Wed Sep  8 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Invoke libtoolize to fix .so problem on x86_64
- Clean up spec file a bit, run autoconf before build to really fix
  lib64 issues on x86_64.
- Corrected typo and XFree86 mention.

* Tue Sep  7 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add hack to prevent configure from hardcoding 'lib'.

* Wed Sep  1 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Explicitly disable building tcl/tk panel
- Add patch to remove hard-code i386 flags from Makefile.am
- Use %{_x11libdir} so it'll work on x86_64
- Removed .la files, they are demon spawn
- Don't try to build on arches that don't have xorg-x11

* Fri Aug 27 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add patch to make driver compile against xorg-x11-sdk
- Add patch to work around totally obsolete glibc-kernheaders

* Thu Aug 26 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Created package, copying bits from synaptics spec file.
